> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/changelog/march-2025/march-17/new-conditions-for-promotions.md).

# New conditions for promotions

#### What's new

New conditions for triggering promotions (advanced discounts) and targeting specific products in the cart.

Now it is possible to create promotions like a simple **"Buy X - Get Y"** or more advanced **"Buy X of product 1 and receive Y discount on product 2**".

Learn more about using new conditions:

{% content-ref url="/spaces/pZxwtrnfjGn9RK75zT5A/pages/CfDO8ETKRHFlTzM9wy2I" %}
[Set up "Buy X - Get Y" promotions](/discounts-and-tips/customize-discounts/set-up-buy-x-get-y-promotions.md)
{% endcontent-ref %}

#### Changes in API

New fields available for the `Promotion -> triggers` object: `minDiscountedQuantity`, `maxDiscountedQuantity`, `excludedCategories`, `excludedProducts`, `combinations`, `excludedCombinations`.

New fields available for the `Promotion -> targets` object: `minProductQuantityInCart`, `maxProductQuantityInCart`, `categories`, `excludedCategories`, `products`, `excludedProducts`, `combinations`, `excludedCombinations`.

#### Documentation links

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/wZpkn8Be2UQ0eBwkopXo" %}
[Search promotions](/api-reference/rest-api/discounts/promotions/search-promotions.md)
{% endcontent-ref %}

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/9hRrRL3BKHHMbzRoJGX2" %}
[Create promotion](/api-reference/rest-api/discounts/promotions/create-promotion.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/changelog/march-2025/march-17/new-conditions-for-promotions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
